# PublishingExtension

interface PublishingExtension

The configuration of how to "publish" the different components of a project.

#### Since

1.3

## Properties

NAME
Link copied to clipboard
val NAME: String = "publishing"
The name of this extension when installed by the org.gradle.api.publish.plugins.PublishingPlugin ({@value}).

## Functions

getPublications
Link copied to clipboard
abstract fun getPublications(): PublicationContainer
The publications of the project.
getRepositories
Link copied to clipboard
abstract fun getRepositories(): RepositoryHandler
The container of possible repositories to publish to.
getSoftwareComponentFactory
Link copied to clipboard
@Inject
@NullMarked
abstract fun getSoftwareComponentFactory(): SoftwareComponentFactory
Get an instance of the SoftwareComponentFactory service.
publications
Link copied to clipboard
abstract fun publications(configure: Action<in PublicationContainer>)
Configures the publications of this project.
repositories
Link copied to clipboard
abstract fun repositories(configure: Action<in RepositoryHandler>)
Configures the container of possible repositories to publish to.